NOLOGIN(8)

NAMN
nologin - neka artigt till inloggning

SYNOPSIS

nologin [-V] [-h]

BESKRIVNING

nologin visar ett meddelande om att ett konto inte är tillgängligt och avslutas med värdet noll. Det är avsett som ett ersättningsfält i skalet för att neka inloggning till ett konto.

Om filen /etc/nologin.txt finns, visar nologin innehållet i den för användaren i stället för standardmeddelandet.

Avslutningsstatusen som returneras av nologin är alltid 1.

FLAGGOR

-c, --command kommando

--init-file

-i --interactive

--init-file fil

-i, --interactive

-l, --login

--noprofile

--norc

--posix

--rcfile fil

-r, --restricted

Dessa kommandoradsflaggor ignoreras för att undvika nologin-fel.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANTECKNINGAR

nologin är ett sätt att inaktivera inloggning per konto (används vanligtvis för systemkonton som http eller ftp). nologin använder /etc/nologin.txt som en valfri källa för ett meddelande som inte är standard, inloggningsåtkomst nekas alltid oberoende av filen.

pam_nologin(8) PAM-modulen hindrar vanligtvis alla användare som inte är root från att logga in i systemet. pam_nologin(8)-funktionaliteten styrs av /var/run/nologin eller filen /etc/nologin.

HISTORIK

Kommandot nologin dök upp i 4.4BSD.

UPPHOVSPERSONER

SE ÄVEN

login(1), passwd(5), pam_nologin(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot nologin ingår i paketet util-linux som kan hämtas från